## waydroid 1.5.1

=== Makefile ===
PREFIX := /usr

USE_SYSTEMD ?= 1
USE_DBUS_ACTIVATION ?= 1
USE_NFTABLES ?= 0

SYSCONFDIR := /etc
WAYDROID_DIR := $(PREFIX)/lib/waydroid
BIN_DIR := $(PREFIX)/bin
APPS_DIR := $(PREFIX)/share/applications
APPS_DIRECTORY_DIR := $(PREFIX)/share/desktop-directories
APPS_MENU_DIR := $(SYSCONFDIR)/xdg/menus/applications-merged
METAINFO_DIR := $(PREFIX)/share/metainfo
ICONS_DIR := $(PREFIX)/share/icons
SYSD_DIR := $(PREFIX)/lib/systemd/system
DBUS_DIR := $(PREFIX)/share/dbus-1
POLKIT_DIR := $(PREFIX)/share/polkit-1
APPARMOR_DIR := $(SYSCONFDIR)/apparmor.d

INSTALL_WAYDROID_DIR := $(DESTDIR)$(WAYDROID_DIR)
INSTALL_BIN_DIR := $(DESTDIR)$(BIN_DIR)
INSTALL_APPS_DIR := $(DESTDIR)$(APPS_DIR)
INSTALL_APPS_DIRECTORY_DIR := $(DESTDIR)$(APPS_DIRECTORY_DIR)
INSTALL_APPS_MENU_DIR := $(DESTDIR)$(APPS_MENU_DIR)
INSTALL_METAINFO_DIR := $(DESTDIR)$(METAINFO_DIR)
INSTALL_ICONS_DIR := $(DESTDIR)$(ICONS_DIR)
INSTALL_SYSD_DIR := $(DESTDIR)$(SYSD_DIR)
INSTALL_DBUS_DIR := $(DESTDIR)$(DBUS_DIR)
INSTALL_POLKIT_DIR := $(DESTDIR)$(POLKIT_DIR)
INSTALL_APPARMOR_DIR := $(DESTDIR)$(APPARMOR_DIR)

build:
	@echo "Nothing to build, run 'make install' to copy the files!"

install:
	install -d $(INSTALL_WAYDROID_DIR) $(INSTALL_BIN_DIR) $(INSTALL_DBUS_DIR)/system.d $(INSTALL_POLKIT_DIR)/actions
	install -d $(INSTALL_APPS_DIR) $(INSTALL_METAINFO_DIR) $(INSTALL_ICONS_DIR)/hicolor/512x512/apps
	install -d $(INSTALL_APPS_DIRECTORY_DIR) $(INSTALL_APPS_MENU_DIR)
	cp -a data tools waydroid.py $(INSTALL_WAYDROID_DIR)
	ln -sf $(WAYDROID_DIR)/waydroid.py $(INSTALL_BIN_DIR)/waydroid
	mv $(INSTALL_WAYDROID_DIR)/data/AppIcon.png $(INSTALL_ICONS_DIR)/hicolor/512x512/apps/waydroid.png
	mv $(INSTALL_WAYDROID_DIR)/data/*.desktop $(INSTALL_APPS_DIR)
	mv $(INSTALL_WAYDROID_DIR)/data/*.menu $(INSTALL_APPS_MENU_DIR)
	mv $(INSTALL_WAYDROID_DIR)/data/*.directory $(INSTALL_APPS_DIRECTORY_DIR)
	mv $(INSTALL_WAYDROID_DIR)/data/*.metainfo.xml $(INSTALL_METAINFO_DIR)
	cp dbus/id.waydro.Container.conf $(INSTALL_DBUS_DIR)/system.d/
	cp dbus/id.waydro.Container.policy $(INSTALL_POLKIT_DIR)/actions/
	if [ $(USE_DBUS_ACTIVATION) = 1 ]; then \
		install -d $(INSTALL_DBUS_DIR)/system-services; \
		cp dbus/id.waydro.Container.service $(INSTALL_DBUS_DIR)/system-services/; \
	fi
	if [ $(USE_SYSTEMD) = 1 ]; then \
		install -d $(INSTALL_SYSD_DIR); \
		cp systemd/waydroid-container.service $(INSTALL_SYSD_DIR); \
	fi
	if [ $(USE_NFTABLES) = 1 ]; then \
		sed '/LXC_USE_NFT=/ s/false/true/' -i $(INSTALL_WAYDROID_DIR)/data/scripts/waydroid-net.sh; \
	fi

install_apparmor:
	install -d $(INSTALL_APPARMOR_DIR) $(INSTALL_APPARMOR_DIR)/lxc
	mkdir -p $(INSTALL_APPARMOR_DIR)/local/
	touch $(INSTALL_APPARMOR_DIR)/local/adbd
	touch $(INSTALL_APPARMOR_DIR)/local/android_app
	touch $(INSTALL_APPARMOR_DIR)/local/lxc-waydroid
	cp -f data/configs/apparmor_profiles/adbd $(INSTALL_APPARMOR_DIR)/adbd
	cp -f data/configs/apparmor_profiles/android_app $(INSTALL_APPARMOR_DIR)/android_app
	cp -f data/configs/apparmor_profiles/lxc-waydroid $(INSTALL_APPARMOR_DIR)/lxc/lxc-waydroid
	# Load the profiles if not just packaging
	if [ -z $(DESTDIR) ] && { aa-enabled --quiet || systemctl is-active -q apparmor; } 2>/dev/null; then \
		apparmor_parser -r -T -W "$(INSTALL_APPARMOR_DIR)/adbd"; \
		apparmor_parser -r -T -W "$(INSTALL_APPARMOR_DIR)/android_app"; \
		apparmor_parser -r -T -W "$(INSTALL_APPARMOR_DIR)/lxc/lxc-waydroid"; \
	fi

=== debian/changelog ===
waydroid (1.5.1) bullseye; urgency=medium

  * lxc: Mount DMA-BUF Heaps
  * lxc: Mount DRM device with the same name
  * gpu: Check i915_capabilities for the card node
  * gpu: Allow choosing the DRM device in waydroid.cfg
  * gpu: Always prefer lower-numbered render node
  * clipboard: Demote warning about missing pyclip to debug level
  * Upver to 1.5.1

 -- Alessandro Astone <ales.astone@gmail.com>  Wed, 26 Mar 2025 19:37:28 +0100

waydroid (1.5.0) bullseye; urgency=medium

  * debian: Use new polkitd package
  * initializer: Refactor setup to better handle preinstalled images
  * gpu: Use intel_hasvk on intel graphics gen 8 or lower (Closes: #1604)
  * protocol: Correct gbinder protocol version for API 33
  * initializer: Differentiate HALIUM vndk31 and vndk32
  * gpu: Do not log failure to read i915_capabilities
  * container: Do not mount KMS nodes
  * lxc: Handle CTRL+C silently during shell commands
  * Upver to 1.5.0

 -- Alessandro Astone <ales.astone@gmail.com>  Wed, 05 Mar 2025 19:12:03 +0100

waydroid (1.4.3) bullseye; urgency=medium

  * update regex for deprecation warning
  * Add SSSE3 CPU check for arch x86/x86_64
  * Make adb auto-connection opt-out
  * upgrader: Clarify refused upgrade message
  * Add sysconfdir to Makefile defaulting to /etc
  * Don't change user-defined desktop files for Waydroid when they're set as read-only
  * Ensure default umask to avoid surprises with file permissions.
  * initializer: Fix Halium version VNDK detection logic for 12L+
  * Add msm_dpu driver for freedreno
  * Re-enable nouveau and nvk
  * Remove unused session.cfg config
  * Use synthetic paths for host sockets
  * Bail out if system_channel or vendor_channel are empty
  * user_manager: Restore desktop-file creation the first time
  * Upver to 1.4.3

 -- Alessandro Astone <ales.astone@gmail.com>  Wed, 07 Aug 2024 22:58:54 +0200

waydroid (1.4.2) bullseye; urgency=medium

  * Allow running a shell command as an arbitrary user and group and with an arbitrary security context (#996)
  * IHardware: Add new upgrade transaction capable of 64-bit timestamps
  * interfaces: Return binder error when receiving an unknown transaction
  * clipboard: change warning message to be less misleading
  * container_manager: Keep schedtune cgroup around in case nesting is supported
  * Allow local amendments to the AppArmor policy
  * Fix issues with AppStream metadata
  * Add iptables as Debian dependency
  * user_manager: Respect user umask
  * user_manager: Add icon to the app_settings action
  * lxc: Recursively mount vendor_extra
  * hardware_manager: Validate upgrade zips against the saved ota channel
  * Block the "open_by_handle_at" system call
  * Add an XDG menu directory (#1149)
  * Upver to 1.4.2

 -- Alessandro Astone <ales.astone@gmail.com>  Tue, 31 Oct 2023 15:54:09 +0000

waydroid (1.4.1) bullseye; urgency=medium

  * CI: Add ubuntu lunar
  * Add App Settings to .desktop file
  * Add X-WayDroid-App category to WayDroid desktop files (#810)
  * All AppArmor profiles have been switched to the "enforce" mode.
  * .desktop files should not be executable (#815)
  * Revert "All AppArmor profiles have been switched to the "enforce" mode."
  * Add missing environment variable BOOTCLASSPATH to waydroid shell
  * user_manager: Do not crash when install applications during boot
  * Create CODE_OF_CONDUCT.md
  * Add device IP address to status, auto adb connect
  * lxc: Add /dev/tty
  * Upver to 1.4.1

 -- Alessandro Astone <ales.astone@gmail.com>  Mon, 24 Apr 2023 11:54:54 +0000

waydroid (1.4.0) bullseye; urgency=medium

  * lxc: Fixup apparmor detection
  * lxc: Allow shell and logcat from frozen
  * initializer: Move triggers to dbus
  * Move session IPC to dbus
  * Makefile: Install dbus service
  * app_manager: Allow install/remove/list while frozen
  * tools: Remove umask 0
  * initializer: Require admin authentication for remote initialization with custom channels
  * lxc: Workaround against lxc changing logfile permissions
  * tools: Allow prop commands while frozen
  * Fix prop set command
  * gpu: Also mount card node
  * helpers/mount: Check for failed umounts only umounting the whole list
  * helpers/mount: Allow to specify explicit mount type and options
  * helpers/mount: Add an option to mount even if mount point already exists
  * Mount overlays on top of image mount points
  * Remove RW image overlay when upgrading images
  * Make overlays opt-out
  * Make session more resilient to start failures
  * session: Add strict WAYLAND_DISPLAY validity checks
  * debian: Unify waydroid.postinst indentation
  * props: Drop unneeded ';' from end of return line
  * lxc: Only add /dev/ashmem to config_nodes when it exists
  * container: Make "waydroid-net.sh start" failure fatal
  * net: Don't fail start when already running
  * container: Allow stopping without killing the session deamon
  * Use `command -v` instead of `which`
  * mount: Only disable overlayfs xino on kernels that support it
  * version: Don't fail when uname contains only two numbers
  * session: Dump the full exception to log file when failed to start
  * version: Fix "NameError: name 're' is not defined"
  * lxc: Attach with proper environment
  * security: Verify session user_id against DBus connection
  * session: Also log dbus connection exceptions
  * fixup! security: Verify session user_id against DBus connection
  * lxc: Create session-specific mount entries (Closes: #704)
  * upgrade: Restart container through DBus
  * upgrade: Drop more privileges during 1.4.0 migration
  * upgrade: Fallback to stopping container manually
  * upgrade: Remove session.cfg during 1.4.0 migration
  * security: Verify session pid against DBus connection
  * container_manager: Mount rootfs last
  * lxc: Improve session config error message
  * container: Extend nfcd stop/start hacks to systemd
  * app_manager: Fix IPlatform error logging
  * interfaces: Fix ServiceManager race condition in clients


=== debian/control ===
Source: waydroid
Maintainer: Erfan Abdi <erfangplus@gmail.com>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3,
               dh-apparmor
Standards-Version: 4.5.0.3
Vcs-Browser: https://github.com/waydroid/waydroid
Vcs-Git: https://github.com/waydroid/waydroid.git

Package: waydroid
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         lxc,
         python3-gbinder,
         python3-gi,
         gir1.2-gtk-3.0,
         python3-dbus,
         dbus,
         polkitd | policykit-1,
	 iptables
Description: Android™ application support
 waydroid allows running a separate Android™ environment
 confined to a LXC container.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

override_dh_auto_install:
	dh_auto_install -- SYSD_DIR=/lib/systemd/system
	$(MAKE) install_apparmor DESTDIR=$(CURDIR)/debian/waydroid
	dh_apparmor --profile-name=adbd
	dh_apparmor --profile-name=android_app
	dh_apparmor --profile-name=lxc\\/lxc-waydroid

## waydroid 1.6.1

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,9 @@
 	install -d $(INSTALL_APPS_DIR) $(INSTALL_METAINFO_DIR) $(INSTALL_ICONS_DIR)/hicolor/512x512/apps
 	install -d $(INSTALL_APPS_DIRECTORY_DIR) $(INSTALL_APPS_MENU_DIR)
 	cp -a data tools waydroid.py $(INSTALL_WAYDROID_DIR)
-	ln -sf $(WAYDROID_DIR)/waydroid.py $(INSTALL_BIN_DIR)/waydroid
+	ln -sf \
+		$$(realpath --relative-to=$(INSTALL_BIN_DIR) $(INSTALL_WAYDROID_DIR)/waydroid.py) \
+		$(INSTALL_BIN_DIR)/waydroid
 	mv $(INSTALL_WAYDROID_DIR)/data/AppIcon.png $(INSTALL_ICONS_DIR)/hicolor/512x512/apps/waydroid.png
 	mv $(INSTALL_WAYDROID_DIR)/data/*.desktop $(INSTALL_APPS_DIR)
 	mv $(INSTALL_WAYDROID_DIR)/data/*.menu $(INSTALL_APPS_MENU_DIR)

=== debian/changelog ===
waydroid (1.6.1) bullseye; urgency=medium

  * Also consider block device files when checking for preinstalled images (#2136)
  * http: Standardize file size and download speed units
  * initializer: Move remote init process to a toplevel function
  * initializer: Setup verbose logging in the remote init process
  * tools: Restore early initialized check
  * Upver to 1.6.1

 -- Alessandro Astone <ales.astone@gmail.com>  Mon, 29 Dec 2025 18:03:56 +0100

waydroid (1.6.0) bullseye; urgency=medium

  * prop: Enable the "ro.adb.secure" property (#1096)
  * net: Disable adb auto-connect by default
  * upgrade: Migrate auto_adb to False on first upgrade
  * net: Add "waydroid adb connect" action
  * user_manager: Rework desktop file handling
  * user_manager: Fix quotes f-string
  * user_manager: Mark new LineageOS Camera app as a system app
  * logging: Use RotatingFileHandler to trim logfile at 5MB
  * logging: Add date to the logfile format
  * container: Add some additional logging
  * logging: Actually enable logfile rotation
  * session_manager: Stop the container on logout
  * session_manager: Stop the container on SIGHUP
  * Update Android version from 11 to 13 in README
  * tools/helpers/http.py: also handle urllib.error.URLError exceptions instead of showing traceback
  * debian/control: add Recommends on ca-certificates
  * debian/control: add Depends on pipewire-pulse | pulseaudio
  * Remove underscore from .desktop action name
  * lxc: Restore permissions on the shell command stdout file
  * tools: Print suggestion to use --details-to-stdout
  * tools: Add bugreport action
  * Makefile: Install relative bin symlink instead of absolute
  * debian: Never fail postinst script
  * fix: remove '"' that may cause SyntaxErrors for some Python versions
  * user_manager: Fixup desktop file mangling to preserve user-added actions
  * user_manager: Always show Waydroid desktop launcher
  * tools: Run waydroid without any additional command-line arguments
  * data: Add desktop action to stop Waydroid session
  * user_manager: Add user migration steps to cleanup stale desktop files
  * init: Allow re-initializing while container daemon is running
  * init: Use DBus for reporting progress
  * http: Report progress slower
  * tools: Make sure to log exceptions caught in DBus method calls
  * tools: Do not hint about --details-to-stdout when already set
  * lxc: Fixup starting when logfile does not exist
  * logging: Fixup starting when logfile does not exist
  * container_manager: Avoid potential race with DBus object vs name registration
  * images: Fix TOCTOU bugs in checksum verification
  * initializer: Fixup bus exception handling
  * initializer: Show meaningful text description in system type selection
  * github: Mention "waydroid bugreport" to attach logs
  * readme: Add icon, links to website and FAQ
  * services: Add new notification manager
  * Upver to 1.6.0

 -- Alessandro Astone <ales.astone@gmail.com>  Fri, 21 Nov 2025 23:05:38 +0100

waydroid (1.5.4) bullseye; urgency=medium

  * shell: Do not abort if classpath env file is missing
  * shell: Filter imported environment

 -- Alessandro Astone <ales.astone@gmail.com>  Tue, 24 Jun 2025 11:18:15 +0200

waydroid (1.5.3) bullseye; urgency=medium

  * Remove unused python imports
  * shell: Import CLASSPATH env that was generated by Android
  * prop: Declare OpenGL ES 3.2
  * Upver to 1.5.3

 -- Alessandro Astone <ales.astone@gmail.com>  Sun, 22 Jun 2025 12:14:13 +0200

waydroid (1.5.2) bullseye; urgency=medium

  * arch: Separately identify arm64_only CPUs without AArch32 support
  * data: Add a valid registered category to Waydroid.desktop for appstream
  * Upver to 1.5.2

 -- Alessandro Astone <ales.astone@gmail.com>  Fri, 30 May 2025 19:45:21 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,9 @@
          python3-dbus,
          dbus,
          polkitd | policykit-1,
+         pipewire-pulse | pulseaudio,
 	 iptables
+Recommends: ca-certificates,
 Description: Android™ application support
  waydroid allows running a separate Android™ environment
  confined to a LXC container.
